<template>
    <div class="MyBetsBlock">
        <v-tabs
      color="cyan"
      dark
    >
      <v-tab ripple>
        Bet slip
      </v-tab>
      <v-tab ripple>
        My Bets
      </v-tab>
      <v-tab-item>
        <v-card flat>
            <ul class="list-right-sidebar">
                <li>Select sport</li>
                <li>Select an event and its outcome</li>
                <li>Select bet type and stake amount</li>
            </ul>
        </v-card>
      </v-tab-item>
      <v-tab-item>
        <v-card flat>
            <div class="AccumInfoBlock">
                <div class="BetsBlock">
                    <div class="BetBlockN">
                        <div class="BetInfoBlock">
                            <span class="BetInfo">
                                <span>
                                    <img src="../assets/livesport_icon01.png" alt="#">
                                </span>
                                <span>
                                    <span>Copenhagen</span>
                                    <span>Vendsyssel</span>
                                </span>
                            </span>
                            <span>x</span>
                        </div>
                        <div class="font-weight-bold pl-3">
                            <span>1x2</span>
                        </div>
                        <div class="BetNum">
                            <span>W1</span>
                            <span>2.68</span>
                        </div>
                    </div>
                    <div class="BetBlockN">
                        <div class="BetInfoBlock">
                            <span class="BetInfo">
                                <span>
                                    <img src="../assets/livesport_icon01.png" alt="#">
                                </span>
                                <span>
                                    <span>Copenhagen</span>
                                    <span>Vendsyssel</span>
                                </span>
                            </span>
                            <span>x</span>
                        </div>
                        <div class="font-weight-bold pl-3">
                            <span>1x2</span>
                        </div>
                        <div class="BetNum">
                            <span>W1</span>
                            <span>2.68</span>
                        </div>
                    </div>
                </div>
                <div class="AnotherInfoBet">
                    <div class="">
                        <span>Overall odds:</span>
                        <span class="color__black">2.706</span>
                    </div>
                    <div class="">
                        <span class="color__black">Stake:</span>
                        <span style="display:flex;flex-direction:row;">
                            <textarea class="textarea mr-2" name="name" rows="1" cols="8"></textarea>
                            <span>UAH</span>
                        </span>
                    </div>
                    <div class="bg-items-black">
                        <span>10</span>
                        <span>50</span>
                        <span>100</span>
                        <span>1000</span>
                        <span>2500</span>
                        <span>5000</span>
                        <span>-</span>
                    </div>
                    <div class="">
                        <span>Max. stake amount:</span>
                        <span class="color__black">110000</span>
                    </div>
                    <div class="">
                        <span>Potential winnings:</span>
                        <span class="color__black">270</span>
                    </div>
                    <div class="">
                        <span>When odds change:</span>
                        <span>
                            <select class="lang-box" name="langs">
                                <option value="EN">Confirm</option>
                                <option value="RU">Unconfirm </option>
                            </select>
                        </span>
                    </div>
                    <div class="">
                        <span>Select account:</span>
                        <span>
                            <select class="lang-box" name="langs">
                                <option value="EN">Main account</option>
                                <option value="RU">Your account</option>
                            </select>
                        </span>
                    </div>
                    <div class="">
                        <span class="color__black">Promo code:</span>
                        <span>
                            <textarea class="textarea" name="name" rows="1" cols="15"></textarea>
                        </span>
                    </div>
                    <div id="btn-box">
                        <a class="btn-bet" href="">Place a bet</a>
                    </div>
                </div>
                <div class="ODDSBlock">
                    <div class="font-weight-bold text-uppercase">
                        <span>Remove all X</span>
                    </div>
                    <div class="">
                        <span>
                            <input type="checkbox" name="checkbox" value="">
                        </span>
                        <span>Clear bet slip after placing a bet</span>
                    </div>
                </div>
            </div>
        </v-card>
      </v-tab-item>
    </v-tabs>
    </div>
</template>

<script type="text/javascript">
export default {
data () {
  return {
    // text1: 'Content1111',
    // text2: 'Content2222',
  }
}
}
</script>

<style lang="scss" media="screen">
    .MyBetsBlock {
        .v-tabs__container {
            font-weight: bold;

            background-image: url(../assets/bg_sport_event.jpg);
            background-size: cover;
            .v-tabs__slider-wrapper {
                display: none;
            }
            .v-tabs__item {
                font-weight: bold;
            }
        }
        .list-right-sidebar {
            padding: 20px;
            counter-reset: number;
            list-style-type: none;

            text-transform: none;
            li {
                margin: 10px 0;
            }
            li::before {
                counter-increment: number;
                content: counter(number)"\a0";
            }
            li::before {
                background-color: #d6892f;
                margin-right: 15px;
                padding: 1px 1px 1px 5px;

                color: white;
                font-size: 17px;
                font-family: sans-serif;

                border-radius: 50%;
                border: 4px solid #ebeaea;
            }
        }
        .AccumInfoBlock {
            .AnotherInfoBet {
                padding: 10px;
                color: #8e8e8e;
                font-weight: bold;
                .textarea {
                    border: 1px solid #eeeeee;
                    border-radius: 5px;
                    background-color: #eeeeee;

                    resize: none;
                }
                .textarea:focus {
                    outline: none;
                }
                .bg-items-black {
                    span {
                        border-radius: 5px;
                        background-image: url(../assets/bg_sport_event.jpg);

                        padding: 2px 5px;
                        color: white;
                    }
                }
                div {
                    display: flex;
                    justify-content: space-between;

                    padding: 2px 0;
                }
                div:last-of-type {
                    justify-content: center;
                    a {
                        color: white;
                        font-weight: bold;
                        font-size: 20px;
                        text-decoration: none;
                        text-transform: uppercase;

                        padding: 10px 20px;

                        background-image: url(../assets/bg_sport_event.jpg);
                        background-size: cover;
                        box-shadow: 0 10px 25px -3px red;

                        border: 2px solid red;
                        border-radius: 15px;

                        transition: .7s all ease;
                    }
                    a:hover {
                        box-shadow: 0 5px 30px 10px red;

                        transition: .7s all ease;
                    }
                }
            }
            .BetsBlock {
                background: white;
                .BetBlockN {
                    // display: flex;
                    // align-items: center;
                    // flex-direction: column;
                    .BetInfoBlock {
                        display: flex;
                        align-items: center;
                        justify-content: space-between;

                        padding: 10px 15px;
                        .BetInfo {
                            display: flex;
                            align-items: center;

                            span {
                                display: flex;
                                flex-direction: column;

                                margin-right: 10px;
                            }
                        }
                    }
                    .BetNum {
                        background-color: #e8e8e8;
                    }
                    .BetNum {
                        display: flex;
                        justify-content: space-between;
                        padding: 3px 15px;
                        font-weight: bold;
                        span:nth-child(1) {
                            font-weight: bold;
                            color: orange;
                        }
                        span:nth-child(2) {
                            text-decoration: underline;
                        }
                    }
                }
            }
            .color__black {
                color: black;
            }
            .ODDSBlock {
                display: flex;
                flex-direction: column;
                align-items: center;

                padding: 15px;
                background-image: url(../assets/bg_accum.jpg);
                background-size: cover;

                border-radius: 0 0 10px 10px;
                border: 1px solid white;

                color: white;
                div {
                    display: flex;
                    justify-content: space-between;

                    margin: 10px 0;
                    .NumCoef {
                        color: #d6892f;
                        text-decoration: underline;
                    }
                }
                div:last-of-type{
                    justify-content: center;
                }
            }
        }
    }
</style>
